<!-- related-products-images -->
<div>related products/images </div>

<div class="row">
  <div class="col">
    <div class="row more-item">

<?php
    $args = array(
      'category_name' => 'mockups',
      'post_type' => 'post',
      'posts_per_page' => -1
    );

    $query = new WP_Query($args);

    if ($query->have_posts()) {
        while ($query->have_posts()) {
          $query->the_post(); 
          $featured_img_url = get_the_post_thumbnail_url(get_the_ID(), 'full');
          ?>

      <div class="col-6 col-xl-2">
        <div class="more-item-container" style="display: flex; flex-direction: column; gap: 1rem">
          <div>
            <img
              alt="iMac 24-inch Mockup"
              class="post-image"
              src="<?php echo $featured_img_url ?>"
            />
          </div>
          <div class="more-item-description-container">
            <div class="header">
              <div class="title"><?php the_title(); ?></div>
              <div class="icon">
                <img src="https://unblast.com/wp-content/themes/unblast-beta/images/ps.svg" />
              </div>
            </div>
            <div class="category"><?php the_title(); ?></div>
          </div>
        </div>
      </div>

      <?php }
    } else {
        echo "No posts found";
    }

    wp_reset_postdata();
?>


    </div>
  </div>
</div>
<!-- related-products-images -->
